unit OKCANCL;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls, Grids, Db, DBTables, Mask, DBCtrls, Dialogs;

type
  TOKBottomDlg1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    OKBtn: TButton;
    Panel3: TPanel;
    Panel4: TPanel;
    CancelBtn: TButton;
    EditPane: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Label1: TLabel;
    TableDolg: TTable;
    DataSourceDolg: TDataSource;
    MaskEditNumber: TMaskEdit;
    EditDolg: TEdit;
    TablePaneDate: TTable;
    Label4: TLabel;
    ComboBoxPriznak: TComboBox;
    procedure MaskEditNumberChange(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OKBottomDlg1: TOKBottomDlg1;
   i,code: integer;

implementation

{$R *.DFM}

procedure TOKBottomDlg1.MaskEditNumberChange(Sender: TObject);
var
   RasDolg,RasNds:currency;
begin
        Val(MaskEditNumber.Text,i,code);
        if TableDolg.Locate('AbNumber;Priznak',VarArrayOf([i,ComboBoxPriznak.Text]),[loCaseInsensitive]) then
        begin
           RasNDS:=TableDolg.FieldByName('NDS').AsCurrency;
           RasDolg:=TableDolg.FieldByName('Dolg').AsCurrency;
           EditDolg.Text:=CurrToStrF(RasDolg+RasNDS,ffCurrency,CurrencyDecimals);
        end
        else
        EditDolg.Text:=' ';
end;

procedure TOKBottomDlg1.OKBtnClick(Sender: TObject);
var
   prom,dolg : currency;
begin
     try
     try
     if StrToCurr(EditPane.Text)>0 then
     begin
           TablePaneDate.Active:=true;
        TableDolg.Locate('AbNumber;Priznak',VarArrayOf([i,ComboBoxPriznak.Text]),[loCaseInsensitive]);
        prom:=TableDolg.FieldByName('Dolg').AsCurrency+TableDolg.FieldByName('NDS').AsCurrency-StrToCurr(EditPane.Text);
        TableDolg.Edit;
        if abs(prom)<0.01 then dolg:=0 else dolg:=prom;
        if TablePaneDate.Locate('AbNumber;Priznak',VarArrayOf([i,ComboBoxPriznak.Text]),[loCaseInsensitive])then
        begin
              TablePaneDate.Edit;
              TablePaneDate.FieldByName('Date_of_pane').AsDateTime:=Date;
              TablePaneDate.FieldByName('Dolg').AsFloat:=TableDolg.FieldByName('Dolg').AsCurrency+TableDolg.FieldByName('NDS').AsCurrency;
              TablePaneDate.FieldByName('Pane').AsFloat:=StrToCurr(EditPane.Text);
        end
        else
              TablePaneDate.AppendRecord([i,ComboBoxPriznak.Text,Date,TableDolg.FieldByName('Dolg').AsCurrency+TableDolg.FieldByName('NDS').AsCurrency,StrToCurr(EditPane.Text)]);
        TableDolg.FieldByName('Dolg').AsCurrency:=dolg;
        TableDolg.FieldByName('NDS').AsCurrency:=0;
        if TablePaneDate.State=dsEdit then TablePaneDate.Post;
        if TableDolg.State=dsEdit then TableDolg.Post;
     end
     else ShowMessage('      ');
     except ShowMessage('      ');
     end;
     finally TablePaneDate.Close;
     end;
end;

procedure TOKBottomDlg1.FormShow(Sender: TObject);
begin
     TableDolg.Active:=true;
     MaskEditNumber.Text:='';
     EditDolg.Text:='';
     EditPane.Text:='';
     MaskEditNumber.SetFocus;
end;

procedure TOKBottomDlg1.FormHide(Sender: TObject);
begin
     TableDolg.Close;
end;

end.
