unit Unit12;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, QuickRpt, Qrctrls;

type
  TForm12 = class(TForm)
    QuickRep1: TQuickRep;
    DetailBand1: TQRBand;
    ColumnHeaderBand1: TQRBand;
    PageHeaderBand1: TQRBand;
    QRLabel1: TQRLabel;
    PageFooterBand1: TQRBand;
    QRSysData1: TQRSysData;
    procedure PrepareReport(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form12: TForm12;

implementation

uses Unit1;
{$R *.DFM}

procedure TForm12.PrepareReport(Sender: TObject);
var
   i,LeftPosition: integer;
   NewLabelRepComponent: TQRLabel;
   NewDBTextRepComponent: TQRDBText;
begin
     LeftPosition:=10;
     for i:=pred(ColumnHeaderBand1.ControlCount) downto 0 do
         ColumnHeaderBand1.RemoveControl(ColumnHeaderBand1.Controls[i]);
     for i:=pred(DetailBand1.ControlCount) downto 0 do
         DetailBand1.RemoveControl(DetailBand1.Controls[i]);
     with Form1 do
     try
     if DBGrid1.DataSource.DataSet<>nil then
     begin
          QuickRep1.DataSet:=DBGrid1.DataSource.DataSet;
          QRLabel1.Caption:=DBGrid1.DataSource.DataSet.Name;
          for i:=0 to pred(DBGrid1.DataSource.DataSet.FieldDefs.Count) do
          begin
               NewLabelRepComponent:=TQRLabel(ColumnHeaderBand1.AddPrintable(TQRLabel));
               NewLabelRepComponent.Caption:=DBGrid1.DataSource.DataSet.FieldDefs.Items[i].Name;
               NewLabelRepComponent.Left:=LeftPosition;

               NewDBTextRepComponent:=TQRDBText(DetailBand1.AddPrintable(TQRDBText));
               NewDBTextRepComponent.DataSet:=DBGrid1.DataSource.DataSet;
               NewDBTextRepComponent.DataField:=DBGrid1.DataSource.DataSet.FieldDefs.Items[i].Name;
               NewDBTextRepComponent.Left:=LeftPosition;
               //NewDBTextRepComponent.Alignment:=taRightJustify;
               LeftPosition:=75*succ(i)+10;
          end;
     end;
     except;
     end;
end;

end.
