unit Unit9;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, StdCtrls, Buttons, ComCtrls, ExtCtrls;

type
  TForm9 = class(TForm)
    Panel1: TPanel;
    Panel3: TPanel;
    LocalView: TListView;
    ComboBox1: TComboBox;
    Panel2: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    LargeIcon: TImageList;
    SmallIcon: TImageList;
    Panel4: TPanel;
    Edit1: TEdit;
    procedure ComboBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure LocalViewClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    DBTstring:TStrings;
  public
    { Public declarations }
  end;

var
  Form9: TForm9;

implementation

uses Unit7;

{$R *.DFM}

procedure TForm9.ComboBox1Change(Sender: TObject);
var
        i: integer;
        item: TListItem;
begin
     if Form7.DataSource1.DataSet.Active then Form7.DataSource1.DataSet.Close;
     if Form7.DatabaseIn.Connected then Form7.DatabaseIn.Connected:=false;
     try
        Form7.DatabaseIn.AliasName:=ComboBox1.Text;
        Form7.DatabaseIn.Connected:=true;
        Form7.DatabaseIn.Session.GetTableNames(ComboBox1.Text,'*.*',false,false,DBTString);
        LocalView.Items.BeginUpdate;
        LocalView.Items.Clear;
        LocalView.SortType:=stNone;
        for i:=0 to pred(DBTString.Count) do
        begin
             item:=LocalView.Items.Add;
             item.Caption:=DBTString.Strings[i];
             item.ImageIndex:=1;
        end;
        LocalView.SortType:=stBoth;
        LocalView.Items.EndUpdate;
        Screen.Cursor:=crDefault;
     finally
     end;
end;

procedure TForm9.FormCreate(Sender: TObject);
begin
     DBTString:=TStringList.Create;
end;

procedure TForm9.FormDestroy(Sender: TObject);
begin
     DBTString.Free;
end;

procedure TForm9.LocalViewClick(Sender: TObject);
begin
     try
     Edit1.Text:=LocalView.Selected.Caption;
     except;
     end;
end;

procedure TForm9.FormShow(Sender: TObject);
begin
     ComboBox1Change(self);
end;

end.
