unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ImgList, ComCtrls, ToolWin;

type
  TForm2 = class(TForm)
    CoolBar1: TCoolBar;
    ToolBar1: TToolBar;
    ToolButton3: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ImageList1: TImageList;
    Panel1: TPanel;
    ListBox1: TListBox;
    OpenDialog1: TOpenDialog;
    procedure FormShow(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure ToolButton5Click(Sender: TObject);
    procedure ToolButton6Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormHide(Sender: TObject);
    procedure OpenDialog1Show(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  Modified: boolean;

implementation

uses Unit1;

{$R *.DFM}

procedure TForm2.FormShow(Sender: TObject);
var
   FileHandle: integer;
begin
     try
        ListBox1.Items.LoadFromFile(AppPath+'\Main.slst');
     except
           FileHandle:=FileCreate(AppPath+'\Main.slst');
           FileClose(FileHandle);
     end;
     Modified:=false;
end;

procedure TForm2.ToolButton3Click(Sender: TObject);
begin
     try
        ListBox1.Items.SaveToFile(AppPath+'\Main.slst');
        Modified:=false;
     except ShowMessage(' .     ');
     end;
end;

procedure TForm2.ToolButton5Click(Sender: TObject);
begin
     if OpenDialog1.Execute then
     begin
          ListBox1.Items.Add(Form1.GetClearFName(OpenDialog1.FileName));
          Modified:=true;
     end;
end;

procedure TForm2.ToolButton6Click(Sender: TObject);
begin
     if ListBox1.ItemIndex>-1 then
     begin
          ListBox1.Items.Delete(ListBox1.ItemIndex);
          Modified:=true;
     end;
end;

procedure TForm2.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     Form1.ComboBoxList.Items:=ListBox1.Items;
end;

procedure TForm2.FormHide(Sender: TObject);
begin
     if Modified then if MessageDlg(' ?',mtWarning,[mbYes,mbNo],0)=mrYes then
        ListBox1.Items.SaveToFile(AppPath+'\Main.slst');
end;

procedure TForm2.OpenDialog1Show(Sender: TObject);
begin
     (Sender as TOpenDialog).InitialDir:=AppPath;
end;

end.
