unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, ImgList, ComCtrls, ToolWin;

type
  TForm3 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Memo1: TMemo;
    Panel3: TPanel;
    CoolBar1: TCoolBar;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ImageList1: TImageList;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    Panel4: TPanel;
    BitBtn3: TBitBtn;
    ComboBox1: TComboBox;
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToolButton4Click(Sender: TObject);
    procedure ToolButton5Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;
  FName: string;

implementation

uses Unit7;

{$R *.DFM}

procedure TForm3.ToolButton1Click(Sender: TObject);
begin
     if OpenDialog1.Execute then
     begin
          Memo1.Lines.Clear;
          FName:=OpenDialog1.FileName;
          Memo1.Lines.LoadFromFile(FName);
          Form3.Caption:='SQL '+ExtractFileName(FName);
     end;
end;

procedure TForm3.ToolButton3Click(Sender: TObject);
begin
     if SaveDialog1.Execute then
     begin
          Memo1.Lines.SaveToFile(SaveDialog1.FileName);
          FName:=SaveDialog1.FileName;
          Form3.Caption:='SQL '+ExtractFileName(FName);
     end;
end;

procedure TForm3.ToolButton2Click(Sender: TObject);
begin
     if FName<>'' then
     begin
          Memo1.Lines.SaveToFile(FName);
     end
     else ToolButton3Click(Self);
end;

procedure TForm3.ToolButton4Click(Sender: TObject);
begin
     Memo1.Lines.Clear;
     FName:='';
     Form3.Caption:='SQL';
end;

procedure TForm3.ToolButton5Click(Sender: TObject);
begin
     Application.HelpFile:='localsql.hlp';
     Application.HelpCommand(HELP_FINDER,0);;
end;

procedure TForm3.ComboBox1Change(Sender: TObject);
begin
     if Form7.DataSource1.DataSet.Active then Form7.DataSource1.DataSet.Close;
     if Form7.DatabaseIn.Connected then Form7.DatabaseIn.Connected:=false;
     try
        Form7.DatabaseIn.AliasName:=ComboBox1.Text;
        Form7.DatabaseIn.Connected:=true;
     except;
     end;
end;

procedure TForm3.BitBtn3Click(Sender: TObject);
begin
     with Form7 do
     begin
          Query1.Close;
          Query1.SQL:=Memo1.Lines;
          try
             try
                Screen.Cursor:=crHourGlass;
                Query1.ExecSQL;
             except ShowMessage(' ');
             end;
          finally Screen.Cursor:=crDefault;
          end;
     end;
end;

end.
