unit Unit7;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, ComCtrls, ToolWin, DBCtrls, Grids, DBGrids,
  ImgList, Db, DBTables, Unit3, UnitDB, Unit9;

type
  TForm7 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    BitBtn2: TBitBtn;
    DBNavigator1: TDBNavigator;
    Panel3: TPanel;
    Panel4: TPanel;
    CoolBar1: TCoolBar;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    DBGrid1: TDBGrid;
    ImageList1: TImageList;
    DataSource1: TDataSource;
    Table1: TTable;
    Query1: TQuery;
    Panel5: TPanel;
    StaticText1: TStaticText;
    StaticText2: TStaticText;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    TableResult: TTable;
    DatabaseIn: TDatabase;
    DatabaseOut: TDatabase;
    procedure ToolButton1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure ToolButton4Click(Sender: TObject);
    procedure Table1AfterOpen(DataSet: TDataSet);
    procedure Table1AfterClose(DataSet: TDataSet);
    procedure DBGrid1CellClick(Column: TColumn);
    procedure ToolButton5Click(Sender: TObject);
    procedure ToolButton6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form7: TForm7;

implementation

uses Unit10;

{$R *.DFM}

procedure TForm7.ToolButton1Click(Sender: TObject);
begin
     Form9.ShowModal;
     if (Form9.ModalResult=mrOK)and(Form9.Edit1.Text<>'') then
     begin
          if Table1.Active then Table1.Close;
          Table1.TableName:=Form9.Edit1.Text;
          Table1.Active:=true;
          DataSource1.DataSet:=Table1;
     end;
end;

procedure TForm7.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     try
     if Table1.State=dsEdit then
     if MessageDlg(' ',
        mtConfirmation, [mbYes, mbNo], 0) = mrYes then
     Table1.Post;
     Table1.Close;
     except;
     end;
end;

procedure TForm7.ToolButton2Click(Sender: TObject);
begin
     if MessageDlg('    ',
      mtConfirmation, [mbYes, mbNo], 0) = mrYes then
      begin
           Table1.Close;
           Query1.SQL.Clear;
           Query1.SQL.Add('DELETE FROM '+Form9.Edit1.Text+';');
           Query1.ExecSQL;
           Table1.Active:=true;
      end;     
end;

procedure TForm7.ToolButton3Click(Sender: TObject);
begin
     Query1.SQL.Clear;
     Form3.ShowModal;
     if Form3.ModalResult=mrOK then
     begin
     Query1.Close;
     Query1.SQL:=Form3.Memo1.Lines;
     try
        try
           Screen.Cursor:=crHourGlass;
           Query1.Active:=true;
           DataSource1.DataSet:=Query1;
        except ShowMessage(' ');
        end;
     finally Screen.Cursor:=crDefault;
     end;
     end;
end;

procedure TForm7.ToolButton4Click(Sender: TObject);
begin
     if Table1.Active then
     try
     if Table1.State=dsEdit then
     if MessageDlg(' ',
        mtConfirmation, [mbYes, mbNo], 0) = mrYes then
     Table1.Post;
     Table1.Close;
     except;
     end;

     if Query1.Active then Query1.Close;
     if DataSource1.DataSet<>Table1 then DataSource1.DataSet:=Table1;
end;

procedure TForm7.Table1AfterOpen(DataSet: TDataSet);
begin
     StaticText2.Caption:=' '+IntToStr(DataSet.RecordCount);
end;

procedure TForm7.Table1AfterClose(DataSet: TDataSet);
begin
     StaticText2.Caption:='';
     StaticText1.Caption:='';
end;

procedure TForm7.DBGrid1CellClick(Column: TColumn);
begin
     StaticText1.Caption:=IntToStr(DataSource1.DataSet.RecNo)+'  '+IntToStr(DataSource1.DataSet.RecordCount);
end;

procedure TForm7.ToolButton5Click(Sender: TObject);
var
   i:integer;
begin
     Form9.ShowModal;
     if (Form9.ModalResult=mrOK)and(Form9.Edit1.Text<>'') then
     begin
          Form10.ShowModal;
          if (Form10.ModalResult=mrOK)and(Form10.Edit1.Text<>'') then
          begin
               Screen.Cursor:=crHourGlass;
               if Table1.Active then Table1.Close;
               Table1.TableName:=Form9.Edit1.Text;
               TableResult.TableName:=Form10.Edit1.Text;

               Table1.Active:=true;
               TableResult.FieldDefs.Clear;
               TableResult.IndexDefs.Clear;
               TableResult.FieldDefs:=Table1.FieldDefs;
               Table1.IndexDefs.Update;
               TableResult.IndexDefs:=Table1.IndexDefs;
               TableResult.CreateTable;

               Table1.First;
               TableResult.Active:=true;
               while not(Table1.Eof) do
               begin
                    TableResult.Append;
                    for i:=0 to pred(Table1.FieldCount) do TableResult.Fields[i].Value:=Table1.Fields[i].Value;
                    TableResult.Post;
                    Table1.Next;
               end;
               //Table1.Close;
               TableResult.Close;
               Screen.Cursor:=crDefault;
          end;
     end;
end;

procedure TForm7.ToolButton6Click(Sender: TObject);
var
   i:integer;
begin
     Form10.ShowModal;
     if (Form10.ModalResult=mrOK)and(Form10.Edit1.Text<>'') then
     begin
          Screen.Cursor:=crHourGlass;
          with DataSource1.DataSet do
          begin
               TableResult.TableName:=Form10.Edit1.Text;

               Active:=true;
               TableResult.FieldDefs.Clear;
               //TableResult.IndexDefs.Clear;
               TableResult.FieldDefs:=FieldDefs;
               //if (DataSource1.DataSet is TTable)then TableResult.IndexDefs:=Table1.IndexDefs;
               TableResult.CreateTable;

               First;
               TableResult.Active:=true;
               while not(Eof) do
               begin
                    TableResult.Append;
                    for i:=0 to pred(FieldCount) do TableResult.Fields[i].Value:=Fields[i].Value;
                    TableResult.Post;
                    Next;
               end;
               //Close;
               TableResult.Close;
               Screen.Cursor:=crDefault;
          end;
     end;                  
end;

end.
