unit UnitSettings;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, Registry;

type
  TFormSettings = class(TForm)
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    EditProcent: TEdit;
    Label1: TLabel;
    CheckBoxPenya: TCheckBox;
    CheckBoxMG: TCheckBox;
    Panel5: TPanel;
    Label2: TLabel;
    EditNDSPercent: TEdit;
    CheckBoxUseNDS: TCheckBox;
    Panel6: TPanel;
    Label3: TLabel;
    EditNoUchet: TEdit;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormSettings: TFormSettings;
  WinTarifIni: TRegistryIniFile;

implementation

uses Unit1;
{$R *.DFM}

procedure TFormSettings.BitBtn1Click(Sender: TObject);
var
   i,code: integer;
begin
     WinTarifIni.WriteBool('MnMg','',CheckBoxMG.Checked);
     WinTarifIni.WriteBool('','',CheckBoxPenya.Checked);
     WinTarifIni.WriteFloat('','',StrToFloat(EditProcent.Text));
     WinTarifIni.WriteBool('','',CheckBoxUseNDS.Checked);
     UseNDS:=CheckBoxUseNDS.Checked;
     WinTarifIni.WriteFloat('','',StrToFloat(EditNDSPercent.Text));
     NDS:=StrToFloat(EditNDSPercent.Text);
     val(EditNoUchet.Text,i,code);
     WinTarifIni.WriteInteger('NoUchet','Min',i);
end;

procedure TFormSettings.FormShow(Sender: TObject);
begin
     WinTarifIni:=TRegistryIniFile.Create('Software\WinTarif');
     CheckBoxMG.Checked:=WinTarifIni.ReadBool('MnMg','',true);
     CheckBoxPenya.Checked:=WinTarifIni.ReadBool('','',false);
     EditProcent.Text:=FloatToStr(WinTarifIni.ReadFloat('','',1));
     CheckBoxUseNDS.Checked:=WinTarifIni.ReadBool('','',true);
     EditNoUchet.Text:=IntToStr(WinTarifIni.ReadInteger('NoUchet','Min',0));
     EditNDSPercent.Text:=FloatToStr(WinTarifIni.ReadFloat('','',20));
end;

procedure TFormSettings.FormDestroy(Sender: TObject);
begin
     WinTarifIni.Free;
end;

end.
